//**************************************************************************************************
//
// STATIC MESSAGES:
//
//~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
// RuntimeForStatic base library | C+- (SysRoutine) | Author: Sergei Y.Kitáev
#pragma once
#include "include_restrictions.h"
namespace RuntimeForStatic {

//\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\
//
// "$StaticMessages" STATIC CLASS:
//
//==================================================================================================
class $StaticMessages
{
$STATIC_CLASS( $StaticMessages )
public:
   static PCWSTR NoError() $thread_static $static_pointer $not_null;
   static PCWSTR NoError(LANGID languageId $optional) $static_pointer $not_null;

   static PCWSTR UnknownError() $thread_static $static_pointer $not_null;
   static PCWSTR UnknownError(LANGID languageId $optional) $static_pointer $not_null;

   static PCWSTR MemoryAllocationFailure() $thread_static $static_pointer $not_null;
   static PCWSTR MemoryAllocationFailure(LANGID languageId $optional) $static_pointer $not_null;
private:
   #include "..\private\StaticMessages.private.h"
}; // $StaticMessages
//==================================================================================================

} // RuntimeForStatic
